/**
 * GeSHi (C) 2004 - 2007 Nigel McNie, 2007 - 2008 Benny Baumann
 * (http://qbnz.com/highlighter/ and http://geshi.org/)
 */

.actionscript3 .de1, .actionscript3 .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.actionscript3  {font-family:monospace;}
.actionscript3 .imp {font-weight: bold; color: red;}
.actionscript3 li, .actionscript3 .li1 {font-weight: normal; vertical-align:top;}
.actionscript3 .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.actionscript3 .li2 {font-weight: bold; vertical-align:top;}
.actionscript3 .kw1 {color: #0033ff; font-weight: bold;}
.actionscript3 .kw2 {color: #6699cc; font-weight: bold;}
.actionscript3 .kw3 {color: #339966; font-weight: bold;}
.actionscript3 .kw4 {color: #9900cc; font-weight: bold;}
.actionscript3 .kw5 {color: #004993;}
.actionscript3 .kw6 {color: #004993;}
.actionscript3 .kw7 {color: #004993;}
.actionscript3 .kw8 {color: #004993;}
.actionscript3 .co1 {color: #009900; font-style: italic;}
.actionscript3 .co2 {color: #009966; font-style: italic;}
.actionscript3 .coMULTI {color: #3f5fbf;}
.actionscript3 .br0 {color: #000000;}
.actionscript3 .sy0 {color: #000066; font-weight: bold;}
.actionscript3 .st0 {color: #990000;}
.actionscript3 .nu0 {color: #000000; font-weight:bold;}
.actionscript3 .me0 {color: #000000;}
.actionscript3 .ln-xtra, .actionscript3 li.ln-xtra, .actionscript3 div.ln-xtra {background-color: #ffc;}
.actionscript3 span.xtra { display:block; }

.asm .de1, .asm .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.asm  {font-family:monospace;}
.asm .imp {font-weight: bold; color: red;}
.asm li, .asm .li1 {font-weight: normal; vertical-align:top;}
.asm .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.asm .li2 {font-weight: bold; vertical-align:top;}
.asm .kw1 {color: #00007f; font-weight: bold;}
.asm .kw2 {color: #0000ff; font-weight: bold;}
.asm .kw3 {color: #00007f;}
.asm .kw4 {color: #000000; font-weight: bold;}
.asm .kw5 {color: #000000; font-weight: bold;}
.asm .co1 {color: #666666; font-style: italic;}
.asm .co2 {color: #adadad; font-style: italic;}
.asm .es0 {color: #000099; font-weight: bold;}
.asm .br0 {color: #009900; font-weight: bold;}
.asm .sy0 {color: #339933;}
.asm .st0 {color: #7f007f;}
.asm .nu0 {color: #0000ff;}
.asm .ln-xtra, .asm li.ln-xtra, .asm div.ln-xtra {background-color: #ffc;}
.asm span.xtra { display:block; }

.asp .de1, .asp .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.asp  {font-family:monospace;}
.asp .imp {font-weight: bold; color: red;}
.asp li, .asp .li1 {font-weight: normal; vertical-align:top;}
.asp .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.asp .li2 {font-weight: bold; vertical-align:top;}
.asp .kw1 {color: #990099; font-weight: bold;}
.asp .kw2 {color: #0000ff; font-weight: bold;}
.asp .kw3 {color: #330066;}
.asp .co1 {color: #008000;}
.asp .co2 {color: #ff6600;}
.asp .coMULTI {color: #008000;}
.asp .es0 {color: #000099; font-weight: bold;}
.asp .br0 {color: #006600; font-weight:bold;}
.asp .sy0 {color: #006600; font-weight: bold;}
.asp .sy1 {color: #000000; font-weight: bold;}
.asp .st0 {color: #cc0000;}
.asp .nu0 {color: #800000;}
.asp .me1 {color: #9900cc;}
.asp .ln-xtra, .asp li.ln-xtra, .asp div.ln-xtra {background-color: #ffc;}
.asp span.xtra { display:block; }

.bash .de1, .bash .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.bash  {font-family:monospace;}
.bash .imp {font-weight: bold; color: red;}
.bash li, .bash .li1 {font-weight: normal; vertical-align:top;}
.bash .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.bash .li2 {font-weight: bold; vertical-align:top;}
.bash .kw1 {color: #000000; font-weight: bold;}
.bash .kw2 {color: #c20cb9; font-weight: bold;}
.bash .kw3 {color: #7a0874; font-weight: bold;}
.bash .co0 {color: #666666; font-style: italic;}
.bash .co1 {color: #800000;}
.bash .co2 {color: #cc0000; font-style: italic;}
.bash .co3 {color: #000000; font-weight: bold;}
.bash .es1 {color: #000099; font-weight: bold;}
.bash .es2 {color: #007800;}
.bash .es3 {color: #007800;}
.bash .es4 {color: #007800;}
.bash .es5 {color: #780078;}
.bash .es_h {color: #000099; font-weight: bold;}
.bash .br0 {color: #7a0874; font-weight: bold;}
.bash .sy0 {color: #000000; font-weight: bold;}
.bash .st0 {color: #ff0000;}
.bash .st_h {color: #ff0000;}
.bash .nu0 {color: #000000;}
.bash .re0 {color: #007800;}
.bash .re1 {color: #007800;}
.bash .re2 {color: #007800;}
.bash .re4 {color: #007800;}
.bash .re5 {color: #660033;}
.bash .ln-xtra, .bash li.ln-xtra, .bash div.ln-xtra {background-color: #ffc;}
.bash span.xtra { display:block; }

.c .de1, .c .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.c  {font-family:monospace;}
.c .imp {font-weight: bold; color: red;}
.c li, .c .li1 {font-weight: normal; vertical-align:top;}
.c .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.c .li2 {font-weight: bold; vertical-align:top;}
.c .kw1 {color: #b1b100;}
.c .kw2 {color: #000000; font-weight: bold;}
.c .kw3 {color: #000066;}
.c .kw4 {color: #993333;}
.c .co1 {color: #666666; font-style: italic;}
.c .co2 {color: #339933;}
.c .coMULTI {color: #808080; font-style: italic;}
.c .es0 {color: #000099; font-weight: bold;}
.c .es1 {color: #000099; font-weight: bold;}
.c .es2 {color: #660099; font-weight: bold;}
.c .es3 {color: #660099; font-weight: bold;}
.c .es4 {color: #660099; font-weight: bold;}
.c .es5 {color: #006699; font-weight: bold;}
.c .br0 {color: #009900;}
.c .sy0 {color: #339933;}
.c .st0 {color: #ff0000;}
.c .nu0 {color: #0000dd;}
.c .nu6 {color: #208080;}
.c .nu8 {color: #208080;}
.c .nu12 {color: #208080;}
.c .nu16 {color:#800080;}
.c .nu17 {color:#800080;}
.c .nu18 {color:#800080;}
.c .nu19 {color:#800080;}
.c .me1 {color: #202020;}
.c .me2 {color: #202020;}
.c .ln-xtra, .c li.ln-xtra, .c div.ln-xtra {background-color: #ffc;}
.c span.xtra { display:block; }

.cobol .de1, .cobol .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.cobol  {font-family:monospace;}
.cobol .imp {font-weight: bold; color: red;}
.cobol li, .cobol .li1 {font-weight: normal; vertical-align:top;}
.cobol .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.cobol .li2 {font-weight: bold; vertical-align:top;}
.cobol .kw1 {color: #000080; font-weight: bold;}
.cobol .kw2 {color: #000000; font-weight: bold;}
.cobol .kw3 {color: #008000; font-weight: bold;}
.cobol .kw4 {color: #000080;}
.cobol .kw5 {color: #008000;}
.cobol .co1 {color: #a0a0a0; font-style: italic;}
.cobol .coMULTI {color: #a0a0a0; font-style: italic;}
.cobol .es0 {color: #000099; font-weight: bold;}
.cobol .br0 {color: #339933;}
.cobol .sy0 {color: #000066;}
.cobol .st0 {color: #ff0000;}
.cobol .nu0 {color: #993399;}
.cobol .me1 {color: #202020;}
.cobol .ln-xtra, .cobol li.ln-xtra, .cobol div.ln-xtra {background-color: #ffc;}
.cobol span.xtra { display:block; }

.cpp .de1, .cpp .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.cpp  {font-family:monospace;}
.cpp .imp {font-weight: bold; color: red;}
.cpp li, .cpp .li1 {font-weight: normal; vertical-align:top;}
.cpp .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.cpp .li2 {font-weight: bold; vertical-align:top;}
.cpp .kw1 {color: #0000ff;}
.cpp .kw2 {color: #0000ff;}
.cpp .kw3 {color: #0000dd;}
.cpp .kw4 {color: #0000ff;}
.cpp .co1 {color: #666666;}
.cpp .co2 {color: #339900;}
.cpp .coMULTI {color: #ff0000; font-style: italic;}
.cpp .es0 {color: #000099; font-weight: bold;}
.cpp .es1 {color: #000099; font-weight: bold;}
.cpp .es2 {color: #660099; font-weight: bold;}
.cpp .es3 {color: #660099; font-weight: bold;}
.cpp .es4 {color: #660099; font-weight: bold;}
.cpp .es5 {color: #006699; font-weight: bold;}
.cpp .br0 {color: #008000;}
.cpp .sy0 {color: #008000;}
.cpp .sy1 {color: #000080;}
.cpp .sy2 {color: #000040;}
.cpp .sy3 {color: #000040;}
.cpp .sy4 {color: #008080;}
.cpp .st0 {color: #FF0000;}
.cpp .nu0 {color: #0000dd;}
.cpp .nu6 {color: #208080;}
.cpp .nu8 {color: #208080;}
.cpp .nu12 {color: #208080;}
.cpp .nu16 {color:#800080;}
.cpp .nu17 {color:#800080;}
.cpp .nu18 {color:#800080;}
.cpp .nu19 {color:#800080;}
.cpp .me1 {color: #007788;}
.cpp .me2 {color: #007788;}
.cpp .ln-xtra, .cpp li.ln-xtra, .cpp div.ln-xtra {background-color: #ffc;}
.cpp span.xtra { display:block; }

.cpp-qt .de1, .cpp-qt .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.cpp-qt  {font-family:monospace;}
.cpp-qt .imp {font-weight: bold; color: red;}
.cpp-qt li, .cpp-qt .li1 {font-weight: normal; vertical-align:top;}
.cpp-qt .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.cpp-qt .li2 {font-weight: bold; vertical-align:top;}
.cpp-qt .kw1 {color: #000000; font-weight:bold;}
.cpp-qt .kw2 {color: #0057AE;}
.cpp-qt .kw3 {color: #2B74C7;}
.cpp-qt .kw4 {color: #0057AE;}
.cpp-qt .kw5 {color: #22aadd;}
.cpp-qt .co1 {color: #888888;}
.cpp-qt .co2 {color: #006E28;}
.cpp-qt .coMULTI {color: #888888; font-style: italic;}
.cpp-qt .es0 {color: #000099; font-weight: bold;}
.cpp-qt .es1 {color: #000099; font-weight: bold;}
.cpp-qt .es2 {color: #660099; font-weight: bold;}
.cpp-qt .es3 {color: #660099; font-weight: bold;}
.cpp-qt .es4 {color: #660099; font-weight: bold;}
.cpp-qt .es5 {color: #006699; font-weight: bold;}
.cpp-qt .br0 {color: #006E28;}
.cpp-qt .sy0 {color: #006E28;}
.cpp-qt .st0 {color: #BF0303;}
.cpp-qt .nu0 {color: #B08000;}
.cpp-qt .nu6 {color: #208080;}
.cpp-qt .nu8 {color: #208080;}
.cpp-qt .nu12 {color: #208080;}
.cpp-qt .nu16 {color:#800080;}
.cpp-qt .nu17 {color:#800080;}
.cpp-qt .nu18 {color:#800080;}
.cpp-qt .nu19 {color:#800080;}
.cpp-qt .me1 {color: #2B74C7;}
.cpp-qt .me2 {color: #2B74C7;}
.cpp-qt .me3 {color: #2B74C7;}
.cpp-qt .ln-xtra, .cpp-qt li.ln-xtra, .cpp-qt div.ln-xtra {background-color: #ffc;}
.cpp-qt span.xtra { display:block; }

.csharp .de1, .csharp .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.csharp  {font-family:monospace;}
.csharp .imp {font-weight: bold; color: red;}
.csharp li, .csharp .li1 {font-weight: normal; vertical-align:top;}
.csharp .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.csharp .li2 {font-weight: bold; vertical-align:top;}
.csharp .kw1 {color: #0600FF;}
.csharp .kw2 {color: #FF8000; font-weight: bold;}
.csharp .kw3 {color: #008000;}
.csharp .kw4 {color: #FF0000;}
.csharp .kw5 {color: #000000;}
.csharp .co1 {color: #008080; font-style: italic;}
.csharp .co2 {color: #008080;}
.csharp .co3 {color: #008080;}
.csharp .coMULTI {color: #008080; font-style: italic;}
.csharp .es0 {color: #008080; font-weight: bold;}
.csharp .es_h {color: #008080; font-weight: bold;}
.csharp .br0 {color: #000000;}
.csharp .sy0 {color: #008000;}
.csharp .st0 {color: #666666;}
.csharp .st_h {color: #666666;}
.csharp .nu0 {color: #FF0000;}
.csharp .me1 {color: #0000FF;}
.csharp .me2 {color: #0000FF;}
.csharp .ln-xtra, .csharp li.ln-xtra, .csharp div.ln-xtra {background-color: #ffc;}
.csharp span.xtra { display:block; }

.css .de1, .css .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.css  {font-family:monospace;}
.css .imp {font-weight: bold; color: red;}
.css li, .css .li1 {font-weight: normal; vertical-align:top;}
.css .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.css .li2 {font-weight: bold; vertical-align:top;}
.css .kw1 {color: #000000; font-weight: bold;}
.css .kw2 {color: #993333;}
.css .co1 {color: #a1a100;}
.css .co2 {color: #ff0000; font-style: italic;}
.css .coMULTI {color: #808080; font-style: italic;}
.css .es0 {color: #000099; font-weight: bold;}
.css .br0 {color: #00AA00;}
.css .sy0 {color: #00AA00;}
.css .st0 {color: #ff0000;}
.css .nu0 {color: #cc66cc;}
.css .re0 {color: #cc00cc;}
.css .re1 {color: #6666ff;}
.css .re2 {color: #3333ff;}
.css .re3 {color: #933;}
.css .ln-xtra, .css li.ln-xtra, .css div.ln-xtra {background-color: #ffc;}
.css span.xtra { display:block; }

.delphi .de1, .delphi .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.delphi  {font-family:monospace;}
.delphi .imp {font-weight: bold; color: red;}
.delphi li, .delphi .li1 {font-weight: normal; vertical-align:top;}
.delphi .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.delphi .li2 {font-weight: bold; vertical-align:top;}
.delphi .kw1 {color: #000000; font-weight: bold;}
.delphi .kw2 {color: #000000; font-weight: bold;}
.delphi .kw3 {color: #000066;}
.delphi .kw4 {color: #000066; font-weight: bold;}
.delphi .co1 {color: #808080; font-style: italic;}
.delphi .co2 {color: #008000; font-style: italic;}
.delphi .coMULTI {color: #808080; font-style: italic;}
.delphi .es0 {color: #ff0000; font-weight: bold;}
.delphi .br0 {color: #000066;}
.delphi .sy0 {color: #000066;}
.delphi .sy1 {color: #000066;}
.delphi .sy2 {color: #000066;}
.delphi .sy3 {color: #000066;}
.delphi .st0 {color: #ff0000;}
.delphi .nu0 {color: #0000ff;}
.delphi .me1 {color: #006600;}
.delphi .re0 {color: #9ac;}
.delphi .re1 {color: #ff0000;}
.delphi .ln-xtra, .delphi li.ln-xtra, .delphi div.ln-xtra {background-color: #ffc;}
.delphi span.xtra { display:block; }

.fortran .de1, .fortran .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.fortran  {font-family:monospace;}
.fortran .imp {font-weight: bold; color: red;}
.fortran li, .fortran .li1 {font-weight: normal; vertical-align:top;}
.fortran .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.fortran .li2 {font-weight: bold; vertical-align:top;}
.fortran .kw1 {color: #b1b100;}
.fortran .kw2 {color: #000000; font-weight: bold;}
.fortran .kw3 {color: #000066;}
.fortran .kw4 {color: #993333;}
.fortran .co1 {color: #666666; font-style: italic;}
.fortran .co2 {color: #339933;}
.fortran .coMULTI {color: #808080; font-style: italic;}
.fortran .es0 {color: #000099; font-weight: bold;}
.fortran .br0 {color: #009900;}
.fortran .sy0 {color: #339933;}
.fortran .st0 {color: #ff0000;}
.fortran .nu0 {color: #cc66cc;}
.fortran .me1 {color: #202020;}
.fortran .me2 {color: #202020;}
.fortran .ln-xtra, .fortran li.ln-xtra, .fortran div.ln-xtra {background-color: #ffc;}
.fortran span.xtra { display:block; }

.freebasic .de1, .freebasic .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.freebasic  {font-family:monospace;}
.freebasic .imp {font-weight: bold; color: red;}
.freebasic li, .freebasic .li1 {font-weight: normal; vertical-align:top;}
.freebasic .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.freebasic .li2 {font-weight: bold; vertical-align:top;}
.freebasic .kw1 {color: #b1b100;}
.freebasic .co1 {color: #808080;}
.freebasic .co2 {color: #339933;}
.freebasic .es0 {color: #000099;}
.freebasic .br0 {color: #66cc66;}
.freebasic .sy0 {color: #66cc66;}
.freebasic .st0 {color: #ff0000;}
.freebasic .nu0 {color: #cc66cc;}
.freebasic .me0 {color: #66cc66;}
.freebasic .ln-xtra, .freebasic li.ln-xtra, .freebasic div.ln-xtra {background-color: #ffc;}
.freebasic span.xtra { display:block; }

.haskell .de1, .haskell .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.haskell  {font-family:monospace;}
.haskell .imp {font-weight: bold; color: red;}
.haskell li, .haskell .li1 {font-weight: normal; vertical-align:top;}
.haskell .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.haskell .li2 {font-weight: bold; vertical-align:top;}
.haskell .kw1 {color: #06c; font-weight: bold;}
.haskell .kw2 {color: #06c; font-weight: bold;}
.haskell .kw3 {font-weight: bold;}
.haskell .kw4 {color: #cccc00; font-weight: bold;}
.haskell .kw5 {color: maroon;}
.haskell .co1 {color: #5d478b; font-style: italic;}
.haskell .co2 {color: #339933; font-weight: bold;}
.haskell .coMULTI {color: #5d478b; font-style: italic;}
.haskell .es0 {background-color: #3cb371; font-weight: bold;}
.haskell .br0 {color: green;}
.haskell .sy0 {color: #339933; font-weight: bold;}
.haskell .st0 {background-color: #3cb371;}
.haskell .nu0 {color: red;}
.haskell .me1 {color: #060;}
.haskell .ln-xtra, .haskell li.ln-xtra, .haskell div.ln-xtra {background-color: #ffc;}
.haskell span.xtra { display:block; }

.html4strict .de1, .html4strict .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.html4strict  {font-family:monospace;}
.html4strict .imp {font-weight: bold; color: red;}
.html4strict li, .html4strict .li1 {font-weight: normal; vertical-align:top;}
.html4strict .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.html4strict .li2 {font-weight: bold; vertical-align:top;}
.html4strict .kw2 {color: #000000; font-weight: bold;}
.html4strict .kw3 {color: #000066;}
.html4strict .es0 {color: #000099; font-weight: bold;}
.html4strict .br0 {color: #66cc66;}
.html4strict .sy0 {color: #66cc66;}
.html4strict .st0 {color: #ff0000;}
.html4strict .nu0 {color: #cc66cc;}
.html4strict .sc-1 {color: #808080; font-style: italic;}
.html4strict .sc0 {color: #00bbdd;}
.html4strict .sc1 {color: #ddbb00;}
.html4strict .sc2 {color: #009900;}
.html4strict .ln-xtra, .html4strict li.ln-xtra, .html4strict div.ln-xtra {background-color: #ffc;}
.html4strict span.xtra { display:block; }

.java .de1, .java .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.java  {font-family:monospace;}
.java .imp {font-weight: bold; color: red;}
.java li, .java .li1 {font-weight: normal; vertical-align:top;}
.java .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.java .li2 {font-weight: bold; vertical-align:top;}
.java .kw1 {color: #000000; font-weight: bold;}
.java .kw2 {color: #000066; font-weight: bold;}
.java .kw3 {color: #003399;}
.java .kw4 {color: #000066; font-weight: bold;}
.java .co1 {color: #666666; font-style: italic;}
.java .co2 {color: #006699;}
.java .co3 {color: #008000; font-style: italic; font-weight: bold;}
.java .coMULTI {color: #666666; font-style: italic;}
.java .es0 {color: #000099; font-weight: bold;}
.java .br0 {color: #009900;}
.java .sy0 {color: #339933;}
.java .st0 {color: #0000ff;}
.java .nu0 {color: #cc66cc;}
.java .me1 {color: #006633;}
.java .me2 {color: #006633;}
.java .ln-xtra, .java li.ln-xtra, .java div.ln-xtra {background-color: #ffc;}
.java span.xtra { display:block; }

.java5 .de1, .java5 .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.java5  {font-family:monospace;}
.java5 .imp {font-weight: bold; color: red;}
.java5 li, .java5 .li1 {font-weight: normal; vertical-align:top;}
.java5 .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.java5 .li2 {font-weight: bold; vertical-align:top;}
.java5 .kw1 {color: #000000;  font-weight: bold;}
.java5 .kw2 {color: #000000; font-weight: bold;}
.java5 .kw3 {color: #006600; font-weight: bold;}
.java5 .kw4 {color: #006600; font-weight: bold;}
.java5 .kw5 {color: #003399; font-weight: bold;}
.java5 .kw6 {color: #003399; font-weight: bold;}
.java5 .kw7 {color: #003399; font-weight: bold;}
.java5 .kw8 {color: #003399; font-weight: bold;}
.java5 .kw9 {color: #003399; font-weight: bold;}
.java5 .kw10 {color: #003399; font-weight: bold;}
.java5 .kw11 {color: #003399; font-weight: bold;}
.java5 .kw12 {color: #003399; font-weight: bold;}
.java5 .kw13 {color: #003399; font-weight: bold;}
.java5 .kw14 {color: #003399; font-weight: bold;}
.java5 .kw15 {color: #003399; font-weight: bold;}
.java5 .kw16 {color: #003399; font-weight: bold;}
.java5 .kw17 {color: #003399; font-weight: bold;}
.java5 .kw18 {color: #003399; font-weight: bold;}
.java5 .kw19 {color: #003399; font-weight: bold;}
.java5 .kw20 {color: #003399; font-weight: bold;}
.java5 .kw21 {color: #003399; font-weight: bold;}
.java5 .kw22 {color: #003399; font-weight: bold;}
.java5 .kw23 {color: #003399; font-weight: bold;}
.java5 .kw24 {color: #003399; font-weight: bold;}
.java5 .kw25 {color: #003399; font-weight: bold;}
.java5 .kw26 {color: #003399; font-weight: bold;}
.java5 .kw27 {color: #003399; font-weight: bold;}
.java5 .kw28 {color: #003399; font-weight: bold;}
.java5 .kw29 {color: #003399; font-weight: bold;}
.java5 .kw30 {color: #003399; font-weight: bold;}
.java5 .kw31 {color: #003399; font-weight: bold;}
.java5 .kw32 {color: #003399; font-weight: bold;}
.java5 .kw33 {color: #003399; font-weight: bold;}
.java5 .kw34 {color: #003399; font-weight: bold;}
.java5 .kw35 {color: #003399; font-weight: bold;}
.java5 .kw36 {color: #003399; font-weight: bold;}
.java5 .kw37 {color: #003399; font-weight: bold;}
.java5 .kw38 {color: #003399; font-weight: bold;}
.java5 .kw39 {color: #003399; font-weight: bold;}
.java5 .kw40 {color: #003399; font-weight: bold;}
.java5 .kw41 {color: #003399; font-weight: bold;}
.java5 .kw42 {color: #003399; font-weight: bold;}
.java5 .kw43 {color: #003399; font-weight: bold;}
.java5 .kw44 {color: #003399; font-weight: bold;}
.java5 .kw45 {color: #003399; font-weight: bold;}
.java5 .kw46 {color: #003399; font-weight: bold;}
.java5 .kw47 {color: #003399; font-weight: bold;}
.java5 .kw48 {color: #003399; font-weight: bold;}
.java5 .kw49 {color: #003399; font-weight: bold;}
.java5 .kw50 {color: #003399; font-weight: bold;}
.java5 .kw51 {color: #003399; font-weight: bold;}
.java5 .kw52 {color: #003399; font-weight: bold;}
.java5 .kw53 {color: #003399; font-weight: bold;}
.java5 .kw54 {color: #003399; font-weight: bold;}
.java5 .kw55 {color: #003399; font-weight: bold;}
.java5 .kw56 {color: #003399; font-weight: bold;}
.java5 .kw57 {color: #003399; font-weight: bold;}
.java5 .kw58 {color: #003399; font-weight: bold;}
.java5 .kw59 {color: #003399; font-weight: bold;}
.java5 .kw60 {color: #003399; font-weight: bold;}
.java5 .kw61 {color: #003399; font-weight: bold;}
.java5 .kw62 {color: #003399; font-weight: bold;}
.java5 .kw63 {color: #003399; font-weight: bold;}
.java5 .kw64 {color: #003399; font-weight: bold;}
.java5 .kw65 {color: #003399; font-weight: bold;}
.java5 .kw66 {color: #003399; font-weight: bold;}
.java5 .kw67 {color: #003399; font-weight: bold;}
.java5 .kw68 {color: #003399; font-weight: bold;}
.java5 .kw69 {color: #003399; font-weight: bold;}
.java5 .kw70 {color: #003399; font-weight: bold;}
.java5 .kw71 {color: #003399; font-weight: bold;}
.java5 .kw72 {color: #003399; font-weight: bold;}
.java5 .kw73 {color: #003399; font-weight: bold;}
.java5 .kw74 {color: #003399; font-weight: bold;}
.java5 .kw75 {color: #003399; font-weight: bold;}
.java5 .kw76 {color: #003399; font-weight: bold;}
.java5 .kw77 {color: #003399; font-weight: bold;}
.java5 .kw78 {color: #003399; font-weight: bold;}
.java5 .kw79 {color: #003399; font-weight: bold;}
.java5 .kw80 {color: #003399; font-weight: bold;}
.java5 .kw81 {color: #003399; font-weight: bold;}
.java5 .kw82 {color: #003399; font-weight: bold;}
.java5 .kw83 {color: #003399; font-weight: bold;}
.java5 .kw84 {color: #003399; font-weight: bold;}
.java5 .kw85 {color: #003399; font-weight: bold;}
.java5 .kw86 {color: #003399; font-weight: bold;}
.java5 .kw87 {color: #003399; font-weight: bold;}
.java5 .kw88 {color: #003399; font-weight: bold;}
.java5 .kw89 {color: #003399; font-weight: bold;}
.java5 .kw90 {color: #003399; font-weight: bold;}
.java5 .kw91 {color: #003399; font-weight: bold;}
.java5 .kw92 {color: #003399; font-weight: bold;}
.java5 .kw93 {color: #003399; font-weight: bold;}
.java5 .kw94 {color: #003399; font-weight: bold;}
.java5 .kw95 {color: #003399; font-weight: bold;}
.java5 .kw96 {color: #003399; font-weight: bold;}
.java5 .kw97 {color: #003399; font-weight: bold;}
.java5 .kw98 {color: #003399; font-weight: bold;}
.java5 .kw99 {color: #003399; font-weight: bold;}
.java5 .kw100 {color: #003399; font-weight: bold;}
.java5 .kw101 {color: #003399; font-weight: bold;}
.java5 .kw102 {color: #003399; font-weight: bold;}
.java5 .kw103 {color: #003399; font-weight: bold;}
.java5 .kw104 {color: #003399; font-weight: bold;}
.java5 .kw105 {color: #003399; font-weight: bold;}
.java5 .kw106 {color: #003399; font-weight: bold;}
.java5 .kw107 {color: #003399; font-weight: bold;}
.java5 .kw108 {color: #003399; font-weight: bold;}
.java5 .kw109 {color: #003399; font-weight: bold;}
.java5 .kw110 {color: #003399; font-weight: bold;}
.java5 .kw111 {color: #003399; font-weight: bold;}
.java5 .kw112 {color: #003399; font-weight: bold;}
.java5 .kw113 {color: #003399; font-weight: bold;}
.java5 .kw114 {color: #003399; font-weight: bold;}
.java5 .kw115 {color: #003399; font-weight: bold;}
.java5 .kw116 {color: #003399; font-weight: bold;}
.java5 .kw117 {color: #003399; font-weight: bold;}
.java5 .kw118 {color: #003399; font-weight: bold;}
.java5 .kw119 {color: #003399; font-weight: bold;}
.java5 .kw120 {color: #003399; font-weight: bold;}
.java5 .kw121 {color: #003399; font-weight: bold;}
.java5 .kw122 {color: #003399; font-weight: bold;}
.java5 .kw123 {color: #003399; font-weight: bold;}
.java5 .kw124 {color: #003399; font-weight: bold;}
.java5 .kw125 {color: #003399; font-weight: bold;}
.java5 .kw126 {color: #003399; font-weight: bold;}
.java5 .kw127 {color: #003399; font-weight: bold;}
.java5 .kw128 {color: #003399; font-weight: bold;}
.java5 .kw129 {color: #003399; font-weight: bold;}
.java5 .kw130 {color: #003399; font-weight: bold;}
.java5 .kw131 {color: #003399; font-weight: bold;}
.java5 .kw132 {color: #003399; font-weight: bold;}
.java5 .kw133 {color: #003399; font-weight: bold;}
.java5 .kw134 {color: #003399; font-weight: bold;}
.java5 .kw135 {color: #003399; font-weight: bold;}
.java5 .kw136 {color: #003399; font-weight: bold;}
.java5 .kw137 {color: #003399; font-weight: bold;}
.java5 .kw138 {color: #003399; font-weight: bold;}
.java5 .kw139 {color: #003399; font-weight: bold;}
.java5 .kw140 {color: #003399; font-weight: bold;}
.java5 .kw141 {color: #003399; font-weight: bold;}
.java5 .kw142 {color: #003399; font-weight: bold;}
.java5 .kw143 {color: #003399; font-weight: bold;}
.java5 .kw144 {color: #003399; font-weight: bold;}
.java5 .kw145 {color: #003399; font-weight: bold;}
.java5 .kw146 {color: #003399; font-weight: bold;}
.java5 .kw147 {color: #003399; font-weight: bold;}
.java5 .kw148 {color: #003399; font-weight: bold;}
.java5 .kw149 {color: #003399; font-weight: bold;}
.java5 .kw150 {color: #003399; font-weight: bold;}
.java5 .kw151 {color: #003399; font-weight: bold;}
.java5 .kw152 {color: #003399; font-weight: bold;}
.java5 .kw153 {color: #003399; font-weight: bold;}
.java5 .kw154 {color: #003399; font-weight: bold;}
.java5 .kw155 {color: #003399; font-weight: bold;}
.java5 .kw156 {color: #003399; font-weight: bold;}
.java5 .kw157 {color: #003399; font-weight: bold;}
.java5 .kw158 {color: #003399; font-weight: bold;}
.java5 .kw159 {color: #003399; font-weight: bold;}
.java5 .kw160 {color: #003399; font-weight: bold;}
.java5 .kw161 {color: #003399; font-weight: bold;}
.java5 .kw162 {color: #003399; font-weight: bold;}
.java5 .kw163 {color: #003399; font-weight: bold;}
.java5 .kw164 {color: #003399; font-weight: bold;}
.java5 .kw165 {color: #003399; font-weight: bold;}
.java5 .kw166 {color: #003399; font-weight: bold;}
.java5 .co1 {color: #666666; font-style: italic;}
.java5 .co2 {color: #006699;}
.java5 .co3 {color: #008000; font-style: italic; font-weight: bold;}
.java5 .coMULTI {color: #666666; font-style: italic;}
.java5 .es0 {color: #000099; font-weight: bold;}
.java5 .br0 {color: #009900;}
.java5 .sy0 {color: #339933;}
.java5 .st0 {color: #0000ff;}
.java5 .nu0 {color: #cc66cc;}
.java5 .me1 {color: #006633;}
.java5 .me2 {color: #006633;}
.java5 .ln-xtra, .java5 li.ln-xtra, .java5 div.ln-xtra {background-color: #ffc;}
.java5 span.xtra { display:block; }

.javascript .de1, .javascript .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.javascript  {font-family:monospace;}
.javascript .imp {font-weight: bold; color: red;}
.javascript li, .javascript .li1 {font-weight: normal; vertical-align:top;}
.javascript .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.javascript .li2 {font-weight: bold; vertical-align:top;}
.javascript .kw1 {color: #000066; font-weight: bold;}
.javascript .kw2 {color: #003366; font-weight: bold;}
.javascript .kw3 {color: #000066;}
.javascript .co1 {color: #006600; font-style: italic;}
.javascript .co2 {color: #009966; font-style: italic;}
.javascript .coMULTI {color: #006600; font-style: italic;}
.javascript .es0 {color: #000099; font-weight: bold;}
.javascript .br0 {color: #009900;}
.javascript .sy0 {color: #339933;}
.javascript .st0 {color: #3366CC;}
.javascript .nu0 {color: #CC0000;}
.javascript .me1 {color: #660066;}
.javascript .ln-xtra, .javascript li.ln-xtra, .javascript div.ln-xtra {background-color: #ffc;}
.javascript span.xtra { display:block; }

.lisp .de1, .lisp .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.lisp  {font-family:monospace;}
.lisp .imp {font-weight: bold; color: red;}
.lisp li, .lisp .li1 {font-weight: normal; vertical-align:top;}
.lisp .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.lisp .li2 {font-weight: bold; vertical-align:top;}
.lisp .kw1 {color: #b1b100;}
.lisp .co1 {color: #808080; font-style: italic;}
.lisp .coMULTI {color: #808080; font-style: italic;}
.lisp .es0 {color: #000099; font-weight: bold;}
.lisp .br0 {color: #66cc66;}
.lisp .sy0 {color: #66cc66;}
.lisp .st0 {color: #ff0000;}
.lisp .nu0 {color: #cc66cc;}
.lisp .me0 {color: #555;}
.lisp .me1 {color: #555;}
.lisp .ln-xtra, .lisp li.ln-xtra, .lisp div.ln-xtra {background-color: #ffc;}
.lisp span.xtra { display:block; }

.matlab .de1, .matlab .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.matlab  {font-family:monospace;}
.matlab .imp {font-weight: bold; color: red;}
.matlab li, .matlab .li1 {font-weight: normal; vertical-align:top;}
.matlab .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.matlab .li2 {font-weight: bold; vertical-align:top;}
.matlab .kw1 {color: #0000FF;}
.matlab .kw2 {color: #0000FF;}
.matlab .co1 {color: #228B22;}
.matlab .co2 {color:#A020F0;}
.matlab .br0 {color: #080;}
.matlab .sy0 {color: #080;}
.matlab .nu0 {color: #33f;}
.matlab .re0 {color: #33f;}
.matlab .ln-xtra, .matlab li.ln-xtra, .matlab div.ln-xtra {background-color: #ffc;}
.matlab span.xtra { display:block; }

.mysql .de1, .mysql .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.mysql  {font-family:monospace;}
.mysql .imp {font-weight: bold; color: red;}
.mysql li, .mysql .li1 {font-weight: normal; vertical-align:top;}
.mysql .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.mysql .li2 {font-weight: bold; vertical-align:top;}
.mysql .kw1 {color: #990099; font-weight: bold;}
.mysql .kw2 {color: #990099; font-weight: bold;}
.mysql .kw3 {color: #9900FF; font-weight: bold;}
.mysql .kw4 {color: #999900; font-weight: bold;}
.mysql .kw5 {color: #999900; font-weight: bold;}
.mysql .kw6 {color: #FF9900; font-weight: bold;}
.mysql .kw7 {color: #FF9900; font-weight: bold;}
.mysql .kw8 {color: #9900FF; font-weight: bold;}
.mysql .kw9 {color: #9900FF; font-weight: bold;}
.mysql .kw10 {color: #CC0099; font-weight: bold;}
.mysql .kw11 {color: #CC0099; font-weight: bold;}
.mysql .kw12 {color: #009900;}
.mysql .kw13 {color: #000099;}
.mysql .kw14 {color: #000099;}
.mysql .kw15 {color: #000099;}
.mysql .kw16 {color: #000099;}
.mysql .kw17 {color: #000099;}
.mysql .kw18 {color: #000099;}
.mysql .kw19 {color: #000099;}
.mysql .kw20 {color: #000099;}
.mysql .kw21 {color: #000099;}
.mysql .kw22 {color: #000099;}
.mysql .kw23 {color: #000099;}
.mysql .kw24 {color: #000099;}
.mysql .kw25 {color: #000099;}
.mysql .kw26 {color: #000099;}
.mysql .kw27 {color: #00CC00;}
.mysql .coMULTI {color: #808000; font-style: italic;}
.mysql .co1 {color: #808080; font-style: italic;}
.mysql .co2 {color: #808080; font-style: italic;}
.mysql .es0 {color: #004000; font-weight: bold;}
.mysql .es1 {color: #008080; font-weight: bold;}
.mysql .br0 {color: #FF00FF;}
.mysql .sy1 {color: #CC0099;}
.mysql .sy2 {color: #000033;}
.mysql .st0 {color: #008000;}
.mysql .nu0 {color: #008080;}
.mysql .ln-xtra, .mysql li.ln-xtra, .mysql div.ln-xtra {background-color: #ffc;}
.mysql span.xtra { display:block; }

.oberon2 .de1, .oberon2 .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.oberon2  {font-family:monospace;}
.oberon2 .imp {font-weight: bold; color: red;}
.oberon2 li, .oberon2 .li1 {font-weight: normal; vertical-align:top;}
.oberon2 .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.oberon2 .li2 {font-weight: bold; vertical-align:top;}
.oberon2 .kw1 {color: #000000; font-weight: bold;}
.oberon2 .kw2 {color: #000000; font-weight: bold;}
.oberon2 .kw3 {color: #000066;}
.oberon2 .kw4 {color: #000066; font-weight: bold;}
.oberon2 .coMULTI {color: #666666; font-style: italic;}
.oberon2 .es0 {color: #000099; font-weight: bold;}
.oberon2 .es_h {color: #000099; font-weight: bold;}
.oberon2 .br0 {color: #009900;}
.oberon2 .sy0 {color: #339933;}
.oberon2 .st0 {color: #ff0000;}
.oberon2 .st_h {color: #ff0000;}
.oberon2 .nu0 {color: #cc66cc;}
.oberon2 .me1 {color: #0066ee;}
.oberon2 .ln-xtra, .oberon2 li.ln-xtra, .oberon2 div.ln-xtra {background-color: #ffc;}
.oberon2 span.xtra { display:block; }

.oracle11 .de1, .oracle11 .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.oracle11  {font-family:monospace;}
.oracle11 .imp {font-weight: bold; color: red;}
.oracle11 li, .oracle11 .li1 {font-weight: normal; vertical-align:top;}
.oracle11 .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.oracle11 .li2 {font-weight: bold; vertical-align:top;}
.oracle11 .kw1 {color: #993333; font-weight: bold; text-transform: uppercase;}
.oracle11 .co1 {color: #808080; font-style: italic;}
.oracle11 .es0 {color: #000099; font-weight: bold;}
.oracle11 .br0 {color: #66cc66;}
.oracle11 .sy0 {color: #66cc66;}
.oracle11 .st0 {color: #ff0000;}
.oracle11 .nu0 {color: #cc66cc;}
.oracle11 .me1 {color: #ff0000;}
.oracle11 .ln-xtra, .oracle11 li.ln-xtra, .oracle11 div.ln-xtra {background-color: #ffc;}
.oracle11 span.xtra { display:block; }

.pascal .de1, .pascal .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.pascal  {font-family:monospace;}
.pascal .imp {font-weight: bold; color: red;}
.pascal li, .pascal .li1 {font-weight: normal; vertical-align:top;}
.pascal .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.pascal .li2 {font-weight: bold; vertical-align:top;}
.pascal .kw1 {color: #000000; font-weight: bold;}
.pascal .kw2 {color: #000000; font-weight: bold;}
.pascal .kw3 {color: #000066;}
.pascal .kw4 {color: #000066; font-weight: bold;}
.pascal .co1 {color: #666666; font-style: italic;}
.pascal .coMULTI {color: #666666; font-style: italic;}
.pascal .es0 {color: #000099; font-weight: bold;}
.pascal .es_h {color: #000099; font-weight: bold;}
.pascal .br0 {color: #009900;}
.pascal .sy0 {color: #339933;}
.pascal .st0 {color: #ff0000;}
.pascal .st_h {color: #ff0000;}
.pascal .nu0 {color: #cc66cc;}
.pascal .me1 {color: #0066ee;}
.pascal .ln-xtra, .pascal li.ln-xtra, .pascal div.ln-xtra {background-color: #ffc;}
.pascal span.xtra { display:block; }

.perl .de1, .perl .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.perl  {font-family:monospace;}
.perl .imp {font-weight: bold; color: red;}
.perl li, .perl .li1 {font-weight: normal; vertical-align:top;}
.perl .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.perl .li2 {font-weight: bold; vertical-align:top;}
.perl .kw1 {color: #b1b100;}
.perl .kw2 {color: #000000; font-weight: bold;}
.perl .kw3 {color: #000066;}
.perl .co1 {color: #666666; font-style: italic;}
.perl .co2 {color: #009966; font-style: italic;}
.perl .co3 {color: #0000ff;}
.perl .co4 {color: #cc0000; font-style: italic;}
.perl .co5 {color: #0000ff;}
.perl .coMULTI {color: #666666; font-style: italic;}
.perl .es0 {color: #000099; font-weight: bold;}
.perl .es_h {color: #000099; font-weight: bold;}
.perl .br0 {color: #009900;}
.perl .sy0 {color: #339933;}
.perl .st0 {color: #ff0000;}
.perl .st_h {color: #ff0000;}
.perl .nu0 {color: #cc66cc;}
.perl .me1 {color: #006600;}
.perl .me2 {color: #006600;}
.perl .re0 {color: #0000ff;}
.perl .re4 {color: #009999;}
.perl .ln-xtra, .perl li.ln-xtra, .perl div.ln-xtra {background-color: #ffc;}
.perl span.xtra { display:block; }

.php .de1, .php .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.php  {font-family:monospace;}
.php .imp {font-weight: bold; color: red;}
.php li, .php .li1 {font-weight: normal; vertical-align:top;}
.php .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.php .li2 {font-weight: bold; vertical-align:top;}
.php .kw1 {color: #b1b100;}
.php .kw2 {color: #000000; font-weight: bold;}
.php .kw3 {color: #990000;}
.php .kw4 {color: #009900; font-weight: bold;}
.php .co1 {color: #666666; font-style: italic;}
.php .co2 {color: #666666; font-style: italic;}
.php .co3 {color: #0000cc; font-style: italic;}
.php .co4 {color: #009933; font-style: italic;}
.php .coMULTI {color: #666666; font-style: italic;}
.php .es0 {color: #000099; font-weight: bold;}
.php .es1 {color: #000099; font-weight: bold;}
.php .es2 {color: #660099; font-weight: bold;}
.php .es3 {color: #660099; font-weight: bold;}
.php .es4 {color: #006699; font-weight: bold;}
.php .es5 {color: #006699; font-weight: bold; font-style: italic;}
.php .es6 {color: #009933; font-weight: bold;}
.php .es_h {color: #000099; font-weight: bold;}
.php .br0 {color: #009900;}
.php .sy0 {color: #339933;}
.php .sy1 {color: #000000; font-weight: bold;}
.php .st0 {color: #0000ff;}
.php .st_h {color: #0000ff;}
.php .nu0 {color: #cc66cc;}
.php .nu8 {color: #208080;}
.php .nu12 {color: #208080;}
.php .nu19 {color:#800080;}
.php .me1 {color: #004000;}
.php .me2 {color: #004000;}
.php .re0 {color: #000088;}
.php .ln-xtra, .php li.ln-xtra, .php div.ln-xtra {background-color: #ffc;}
.php span.xtra { display:block; }

.plsql .de1, .plsql .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.plsql  {font-family:monospace;}
.plsql .imp {font-weight: bold; color: red;}
.plsql li, .plsql .li1 {font-weight: normal; vertical-align:top;}
.plsql .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.plsql .li2 {font-weight: bold; vertical-align:top;}
.plsql .kw1 {color: #00F;}
.plsql .kw2 {color: #000;}
.plsql .kw3 {color: #00F;}
.plsql .kw4 {color: #F00;}
.plsql .kw5 {color: #800;}
.plsql .co1 {color: #080; font-style: italic;}
.plsql .coMULTI {color: #080; font-style: italic;}
.plsql .es0 {color: #000; font-weight: bold;}
.plsql .br0 {color: #00F;}
.plsql .sy0 {color: #00F;}
.plsql .st0 {color: #F00;}
.plsql .nu0 {color: #800;}
.plsql .me0 {color: #0F0;}
.plsql .sc0 {color: #0F0;}
.plsql .ln-xtra, .plsql li.ln-xtra, .plsql div.ln-xtra {background-color: #ffc;}
.plsql span.xtra { display:block; }

.prolog .de1, .prolog .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.prolog  {font-family:monospace;}
.prolog .imp {font-weight: bold; color: red;}
.prolog li, .prolog .li1 {font-weight: normal; vertical-align:top;}
.prolog .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.prolog .li2 {font-weight: bold; vertical-align:top;}
.prolog .kw1 {color: #990000;}
.prolog .co1 {color: #666666; font-style: italic;}
.prolog .coMULTI {color: #666666; font-style: italic;}
.prolog .es0 {color: #000099; font-weight: bold;}
.prolog .es_h {color: #000099; font-weight: bold;}
.prolog .br0 {color: #009900;}
.prolog .sy0 {color: #339933;}
.prolog .sy1 {color: #339933;}
.prolog .sy2 {color: #339933;}
.prolog .sy3 {color: #339933;}
.prolog .sy4 {color: #339933;}
.prolog .sy5 {color: #339933;}
.prolog .sy6 {color: #339933;}
.prolog .st0 {color: #0000ff;}
.prolog .st_h {color: #0000ff;}
.prolog .nu0 {color: #800080;}
.prolog .re0 {color: #008080;}
.prolog .ln-xtra, .prolog li.ln-xtra, .prolog div.ln-xtra {background-color: #ffc;}
.prolog span.xtra { display:block; }

.python .de1, .python .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.python  {font-family:monospace;}
.python .imp {font-weight: bold; color: red;}
.python li, .python .li1 {font-weight: normal; vertical-align:top;}
.python .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.python .li2 {font-weight: bold; vertical-align:top;}
.python .kw1 {color: #ff7700;font-weight:bold;}
.python .kw2 {color: #008000;}
.python .kw3 {color: #dc143c;}
.python .kw4 {color: #0000cd;}
.python .co1 {color: #808080; font-style: italic;}
.python .coMULTI {color: #808080; font-style: italic;}
.python .es0 {color: #000099; font-weight: bold;}
.python .br0 {color: black;}
.python .sy0 {color: #66cc66;}
.python .st0 {color: #483d8b;}
.python .nu0 {color: #ff4500;}
.python .me1 {color: black;}
.python .ln-xtra, .python li.ln-xtra, .python div.ln-xtra {background-color: #ffc;}
.python span.xtra { display:block; }

.qbasic .de1, .qbasic .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.qbasic  {font-family:monospace;}
.qbasic .imp {font-weight: bold; color: red;}
.qbasic li, .qbasic .li1 {font-weight: normal; vertical-align:top;}
.qbasic .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.qbasic .li2 {font-weight: bold; vertical-align:top;}
.qbasic .kw1 {color: #a1a100;}
.qbasic .kw3 {color: #000066;}
.qbasic .co1 {color: #808080;}
.qbasic .co2 {color: #808080;}
.qbasic .es0 {color: #000099;}
.qbasic .br0 {color: #66cc66;}
.qbasic .sy0 {color: #66cc66;}
.qbasic .st0 {color: #ff0000;}
.qbasic .nu0 {color: #cc66cc;}
.qbasic .ln-xtra, .qbasic li.ln-xtra, .qbasic div.ln-xtra {background-color: #ffc;}
.qbasic span.xtra { display:block; }

.rails .de1, .rails .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.rails  {font-family:monospace;}
.rails .imp {font-weight: bold; color: red;}
.rails li, .rails .li1 {font-weight: normal; vertical-align:top;}
.rails .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.rails .li2 {font-weight: bold; vertical-align:top;}
.rails .kw1 {color:#9966CC; font-weight:bold;}
.rails .kw2 {color:#0000FF; font-weight:bold;}
.rails .kw3 {color:#CC0066; font-weight:bold;}
.rails .kw4 {color:#CC00FF; font-weight:bold;}
.rails .kw5 {color:#5A0A0A; font-weight:bold;}
.rails .co1 {color:#008000; font-style:italic;}
.rails .coMULTI {color:#000080; font-style:italic;}
.rails .es0 {color:#000099;}
.rails .br0 {color:#006600; font-weight:bold;}
.rails .sy0 {color:#006600; font-weight:bold;}
.rails .st0 {color:#996600;}
.rails .nu0 {color:#006666;}
.rails .me1 {color:#9900CC;}
.rails .re0 {color:#ff6633; font-weight:bold;}
.rails .re1 {color:#0066ff; font-weight:bold;}
.rails .re2 {color:#6666ff; font-weight:bold;}
.rails .re3 {color:#ff3333; font-weight:bold;}
.rails .ln-xtra, .rails li.ln-xtra, .rails div.ln-xtra {background-color: #ffc;}
.rails span.xtra { display:block; }

.ruby .de1, .ruby .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.ruby  {font-family:monospace;}
.ruby .imp {font-weight: bold; color: red;}
.ruby li, .ruby .li1 {font-weight: normal; vertical-align:top;}
.ruby .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.ruby .li2 {font-weight: bold; vertical-align:top;}
.ruby .kw1 {color:#9966CC; font-weight:bold;}
.ruby .kw2 {color:#0000FF; font-weight:bold;}
.ruby .kw3 {color:#CC0066; font-weight:bold;}
.ruby .kw4 {color:#CC00FF; font-weight:bold;}
.ruby .co1 {color:#008000; font-style:italic;}
.ruby .coMULTI {color:#000080; font-style:italic;}
.ruby .es0 {color:#000099;}
.ruby .br0 {color:#006600; font-weight:bold;}
.ruby .sy0 {color:#006600; font-weight:bold;}
.ruby .st0 {color:#996600;}
.ruby .nu0 {color:#006666;}
.ruby .me1 {color:#9900CC;}
.ruby .re0 {color:#ff6633; font-weight:bold;}
.ruby .re1 {color:#0066ff; font-weight:bold;}
.ruby .re2 {color:#6666ff; font-weight:bold;}
.ruby .re3 {color:#ff3333; font-weight:bold;}
.ruby .ln-xtra, .ruby li.ln-xtra, .ruby div.ln-xtra {background-color: #ffc;}
.ruby span.xtra { display:block; }

.smalltalk .de1, .smalltalk .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.smalltalk  {font-family:monospace;}
.smalltalk .imp {font-weight: bold; color: red;}
.smalltalk li, .smalltalk .li1 {font-weight: normal; vertical-align:top;}
.smalltalk .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.smalltalk .li2 {font-weight: bold; vertical-align:top;}
.smalltalk .kw1 {color: #7f007f;}
.smalltalk .coMULTI {color: #007f00; font-style: italic;}
.smalltalk .sy0 {color: #000066; font-weight:bold;}
.smalltalk .st0 {color: #7f0000;}
.smalltalk .nu0 {color: #7f0000;}
.smalltalk .re0 {color: #0000ff;}
.smalltalk .re1 {color: #7f0000;}
.smalltalk .re2 {color: #7f0000;}
.smalltalk .re3 {color: #00007f;}
.smalltalk .re4 {color: #7f007f;}
.smalltalk .re5 {color: #00007f;}
.smalltalk .re6 {color: #00007f;}
.smalltalk .ln-xtra, .smalltalk li.ln-xtra, .smalltalk div.ln-xtra {background-color: #ffc;}
.smalltalk span.xtra { display:block; }

.sql .de1, .sql .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.sql  {font-family:monospace;}
.sql .imp {font-weight: bold; color: red;}
.sql li, .sql .li1 {font-weight: normal; vertical-align:top;}
.sql .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.sql .li2 {font-weight: bold; vertical-align:top;}
.sql .kw1 {color: #993333; font-weight: bold;}
.sql .co1 {color: #808080; font-style: italic;}
.sql .co2 {color: #808080; font-style: italic;}
.sql .coMULTI {color: #808080; font-style: italic;}
.sql .es0 {color: #000099; font-weight: bold;}
.sql .br0 {color: #66cc66;}
.sql .sy0 {color: #66cc66;}
.sql .st0 {color: #ff0000;}
.sql .nu0 {color: #cc66cc;}
.sql .ln-xtra, .sql li.ln-xtra, .sql div.ln-xtra {background-color: #ffc;}
.sql span.xtra { display:block; }

.tsql .de1, .tsql .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.tsql  {font-family:monospace;}
.tsql .imp {font-weight: bold; color: red;}
.tsql li, .tsql .li1 {font-weight: normal; vertical-align:top;}
.tsql .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.tsql .li2 {font-weight: bold; vertical-align:top;}
.tsql .kw1 {color: #0000FF;}
.tsql .kw2 {color: #FF00FF;}
.tsql .kw3 {color: #AF0000;}
.tsql .kw4 {color: #AF0000;}
.tsql .co1 {color: #008080;}
.tsql .coMULTI {color: #008080;}
.tsql .es0 {color: #000099; font-weight: bold;}
.tsql .br0 {color: #808080;}
.tsql .sy0 {color: #808080;}
.tsql .st0 {color: #FF0000;}
.tsql .nu0 {color: #000;}
.tsql .me1 {color: #202020;}
.tsql .me2 {color: #202020;}
.tsql .ln-xtra, .tsql li.ln-xtra, .tsql div.ln-xtra {background-color: #ffc;}
.tsql span.xtra { display:block; }

.vb .de1, .vb .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.vb  {font-family:monospace;}
.vb .imp {font-weight: bold; color: red;}
.vb li, .vb .li1 {font-weight: normal; vertical-align:top;}
.vb .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.vb .li2 {font-weight: bold; vertical-align:top;}
.vb .kw1 {color: #000080;}
.vb .co1 {color: #008000;}
.vb .es0 {color: #800000; font-weight: bold;}
.vb .st0 {color: #800000;}
.vb .ln-xtra, .vb li.ln-xtra, .vb div.ln-xtra {background-color: #ffc;}
.vb span.xtra { display:block; }

.vbnet .de1, .vbnet .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.vbnet  {font-family:monospace;}
.vbnet .imp {font-weight: bold; color: red;}
.vbnet li, .vbnet .li1 {font-weight: normal; vertical-align:top;}
.vbnet .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.vbnet .li2 {font-weight: bold; vertical-align:top;}
.vbnet .kw1 {color: #0600FF;}
.vbnet .kw2 {color: #FF8000;}
.vbnet .kw3 {color: #008000;}
.vbnet .kw4 {color: #FF0000;}
.vbnet .kw5 {color: #804040;}
.vbnet .kw6 {color: #0600FF;}
.vbnet .kw7 {color: #0600FF;}
.vbnet .kw8 {color: #0600FF;}
.vbnet .co1 {color: #008080; font-style: italic;}
.vbnet .coMULTI {color: #008080; font-style: italic;}
.vbnet .es0 {color: #008080; font-weight: bold;}
.vbnet .br0 {color: #000000;}
.vbnet .sy0 {color: #008000;}
.vbnet .st0 {color: #808080;}
.vbnet .nu0 {color: #FF0000;}
.vbnet .me1 {color: #0000FF;}
.vbnet .ln-xtra, .vbnet li.ln-xtra, .vbnet div.ln-xtra {background-color: #ffc;}
.vbnet span.xtra { display:block; }

.visualfoxpro .de1, .visualfoxpro .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.visualfoxpro  {font-family:monospace;}
.visualfoxpro .imp {font-weight: bold; color: red;}
.visualfoxpro li, .visualfoxpro .li1 {font-weight: normal; vertical-align:top;}
.visualfoxpro .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.visualfoxpro .li2 {font-weight: bold; vertical-align:top;}
.visualfoxpro .kw1 {color: blue;}
.visualfoxpro .kw2 {color: blue;}
.visualfoxpro .kw3 {color: blue;}
.visualfoxpro .kw4 {color: blue;}
.visualfoxpro .co1 {color: green; font-style: italic;}
.visualfoxpro .co2 {color: green; font-style: italic;}
.visualfoxpro .coMULTI {color: #808080; font-style: italic;}
.visualfoxpro .es0 {color: #000099; font-weight: bold;}
.visualfoxpro .br0 {color: blue;}
.visualfoxpro .sy0 {color: blue;}
.visualfoxpro .st0 {color: #ff0000;}
.visualfoxpro .nu0 {color: #cc66cc;}
.visualfoxpro .me1 {color: #006600;}
.visualfoxpro .ln-xtra, .visualfoxpro li.ln-xtra, .visualfoxpro div.ln-xtra {background-color: #ffc;}
.visualfoxpro span.xtra { display:block; }

.visualprolog .de1, .visualprolog .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.visualprolog  {font-family:monospace;}
.visualprolog .imp {font-weight: bold; color: red;}
.visualprolog li, .visualprolog .li1 {font-weight: normal; vertical-align:top;}
.visualprolog .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.visualprolog .li2 {font-weight: bold; vertical-align:top;}
.visualprolog .kw1 {color: #808000;}
.visualprolog .kw2 {color: #333399;}
.visualprolog .kw3 {color: #800080;}
.visualprolog .co1 {color: #AA77BD}
.visualprolog .coMULTI {color: #AA77BD}
.visualprolog .es0 {color: #008080;}
.visualprolog .br0 {color: #000000;}
.visualprolog .sy0 {color: #000000;}
.visualprolog .st0 {color: #00B7B7;}
.visualprolog .nu0 {color: #0000FF;}
.visualprolog .re0 {color: #008000;}
.visualprolog .re1 {color: #808000;}
.visualprolog .re2 {color: #333399;}
.visualprolog .ln-xtra, .visualprolog li.ln-xtra, .visualprolog div.ln-xtra {background-color: #ffc;}
.visualprolog span.xtra { display:block; }

.xml .de1, .xml .de2 {font: normal normal 1em/1.2em monospace; margin:0; padding:0; background:none; vertical-align:top;}
.xml  {font-family:monospace;}
.xml .imp {font-weight: bold; color: red;}
.xml li, .xml .li1 {font-weight: normal; vertical-align:top;}
.xml .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.xml .li2 {font-weight: bold; vertical-align:top;}
.xml .es0 {color: #000099; font-weight: bold;}
.xml .br0 {color: #66cc66;}
.xml .sy0 {color: #66cc66;}
.xml .st0 {color: #ff0000;}
.xml .nu0 {color: #cc66cc;}
.xml .sc-1 {color: #808080; font-style: italic;}
.xml .sc0 {color: #00bbdd;}
.xml .sc1 {color: #ddbb00;}
.xml .sc2 {color: #339933;}
.xml .sc3 {color: #009900;}
.xml .re0 {color: #000066;}
.xml .re1 {color: #000000; font-weight: bold;}
.xml .re2 {color: #000000; font-weight: bold;}
.xml .ln-xtra, .xml li.ln-xtra, .xml div.ln-xtra {background-color: #ffc;}
.xml span.xtra { display:block; }
